Rated 5 out of 5 stars

Purely indispensable! Waiting for "official" FF4 compatibility (or should we now wait for FF5 already?)

This review is for a previous version of the add-on (1.9.37).  This user has 2 previous reviews of this add-on.